This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 843276

Summary: txt2man package has not built for multiple Fedora releases
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: txt2manAssignee: Adam Miller <maxamillion>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: admiller, bugs.michael, maxamillion, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-26 11:34:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713919    

Description Bill Nottingham 2012-07-25 18:14:06 EDT
This package has not been built since Fedora 15, having failed multiple mass
rebuild cycles.

As part of the normal process for retiring packages that have not
successfully built, this package is scheduled to be removed from Fedora on
or around the Fedora 18 branch date (August 7th).

Please fix this as soon as possible.
Comment 1 Michael Schwendt 2012-07-26 11:34:00 EDT
Assuming Adam (maxamillion) is still available (last koji build on 2012-02-11), I've fixed this for Rawhide. Master branch was not up-to-date compared with f15 branch. master/f17/f16 are now in sync with f15.
Comment 2 Adam Miller 2012-07-31 13:35:40 EDT
Is there any documentation showing the failed build? 

I don't remember seeing any failed build emails about this package (though its highly possible I missed it) and it doesn't appear Michael made any modifications to the package to make it build for F18 (the entirely program is just sh and awk). 

I think the statement "failed multiple mass rebuild cycles" might be incorrect ... is there a script somewhere that's producing the list of packages to trim? It might be picking this one up in error.

-AdamM
Comment 3 Bill Nottingham 2012-07-31 13:57:55 EDT
No, I just pulled it from things in rawhide that still had .fc15, etc. dist tags; given that it still existed with that dist tag, it must have failed (or been oddly excluded, etc.)
Comment 4 Michael Schwendt 2012-07-31 14:15:58 EDT
The spec file in master branch clearly shows tracks of two Fedora releng rebuild attempts.

http://pkgs.fedoraproject.org/gitweb/?p=txt2man.git;a=commitdiff;h=7702a628986c98c25c9f3239f29249602dc052a0

However, the f15 branch in git was ahead of master and f16. And master/f16 had a spec file for 1.5.6, but not the required source tarball (only the previous 1.5.5), hence it failed early.

The fix in git only involved syncing f15 to master.
Comment 5 Michael Schwendt 2012-07-31 14:17:49 EDT
s/tracks/traces/
Comment 6 Adam Miller 2012-07-31 14:48:38 EDT
Ah, sure enough ... my mistake and apologies. Thanks to you both for this.